0.251 2022-12-31
----------------


MAME Testers bugs fixed
-----------------------
- 00315: [DIP/Input] (konami/hornet.cpp) terabrst: Gun controls do not work. (Windy Fairy)
- 05996: [Sound] (nintendo/nes.cpp) nes [summer92]: Drum sounds plays incorrectly. (hap)
- 06186: [Sound] (nintendo/nes.cpp) nes [portopia]: No sound in Portopia Renzoku Satsujin Jiken. (kmg)
- 07199: [Media Support] (nec/pc8801.cpp) pc8801 [dkong3dg]: Donkey Kong 3 - Dai Gyakushuu does not boot. (Carl)
- 07241: [Misc.] (konami/nwk-tr.cpp) thrilld and clones: LAN board tests fail. (Windy Fairy)
- 07625: [Crash/Freeze] (nintendo/nes.cpp) nes [dquest and doordoor]: Games stop responding due to unimplemented interrupts. (kmg)
- 07658: [Sound] (nintendo/nes.cpp) nes [ajyureir]: No sound is played. (kmg)
- 07974: [Crash/Freeze] (apple/apple2.cpp) apple2: Out-of-bounds memory accesses when playing floppy drive sound samples. (hap)
- 08292: [Misc.] (neogeo/neogeo.cpp) ALL: BIOS settings selected when launching systems persist between sessions. (AJR)
- 08416: [Misc.] (trs/coco12.cpp) coco1, coco2, coco2b, coco3: Real-time clock should be a slot option for FDC cards. (Tim Lindner)
- 08443: [Misc.] (nintendo/nes.cpp) famicom: Most software using “hvc_basic” cartridges fails to start. (AJR)
- 08466: [Graphics] (msx/msx.cpp) fsa1fx [spmanbow]: Background does not scroll smoothly. (Wilbert Pol)
- 08481: [Misc.] (vsystem/aerofgt.cpp) aerfboot: Out-of-bounds memory accesses when drawing sprites. (hap)
- 08488: [Misc.] (misc/highvdeo.cpp) cfever1k, ciclone, girotutt: Out-of-bounds memory accesses when updating screen. (hap)
- 08490: [Misc.] some exidy/* drivers: Out-of-bounds memory accesses in sound emulation. (hap)
- 08492: [Misc.] (konami/combatsc.cpp) combatscb: Out-of-bounds memory accesses when drawing sprites. (hap)
- 08500: [Misc.] (taito/taitopjc.cpp) optiger: Out-of-range DSP ROM accesses. (hap)
- 08513: [Graphics] (sega/turbo.cpp) buckrog and clones: Sprite priorities are incorrect. (hap)
- 08514: [Sound] (jaleco/ginganin.cpp) ginganin, ginganina: Music plays at twice the correct tempo. (hap)
- 08520: [Sound] (nintendo/dkong.cpp) dkong3, dkong3hs, dkong3j: Stanley death sound only plays partially. (hap)
- 08522: [Sound] (toaplan/toaplan1.cpp) samesame: Continue music won’t stop if a coin is inserted at the continue screen. (hap)
- 08530: [Graphics] (seta/seta.cpp) zombraid: Tile maps display incorrectly. (David Haywood)
- 08531: [Graphics] (konami/parodius.cpp) parodius and clones: Parallax effects on level 7 and 9 backgrounds are incorrect. (hap)
- 08535: [Crash/Freeze] All: Entering full-screen mode with multiple output windows can cause MAME to crash. (Ryan Holtz)


New working systems
-------------------
DECO Cassette System ROM Multigame (Darksoft, v17) [David Haywood]
Hewlett-Packard HP 9825A [F.Ulivi]
Hewlett-Packard HP 9831A [F.Ulivi]
Institut für Kosmosforschung Gerät 32620 (Sprach/Morsegenerator) [Dirk Best, natarii, Crypto Museum]
Konami (licensed from Electronic Arts) Skate or Die (Konami, handheld) [hap, Sean Riddle, Mr. Do]
Konami Bill Elliott's NASCAR Racing (handheld) [hap, Sean Riddle, Mr. Do]
Multitech Micro-Professor I/88 [Nigel Barnes]
Nebula (DECO Cassette) (UK) [Rene Balke, Darksoft, Senil Data Systems, David Haywood]


New working clones
------------------
Bonze Adventure (World, prototype, older) [BL]
DECO Cassette System ROM Multigame (Darksoft, v15) [David Haywood]
DECO Cassette System ROM Multigame (Darksoft, v16) [David Haywood]
Final Fight 30th Anniversary Edition (World, hack) [Gregory Lewandowski]
Gun.Smoke (USA and Canada, 1986-01-20) [Victor Fernandez (City Game), Jordi Beltrán]
Power Instinct 2 (US, Ver. 94.04.08, set 2) [Sergio Galiano, Recreativos Piscis]
Science of Cambridge MK-14 VDU [Nigel Barnes]
Slots (Belgian Token, Game Card 95-750-452) [Gerald (COY)]
Tee'd Off (World) [system11]


Systems promoted to working
---------------------------
Magical Pumpkin: Puroland de Daibouken (Japan 960712) [dink]
NEC PC-8801MA [Angelo Salese, O. Galibert, Carl]
NEC PC-8801MH [Angelo Salese, O. Galibert, Carl]
NEC PC-8801mkIISR [Angelo Salese, O. Galibert, Carl]
Yamaha DX100 Digital Programmable Algorithm Synthesizer [Pietro Gagliardi]


Clones promoted to working
--------------------------
3com Palm IIIc [Ryan Holtz]
3com Palm m100 [Ryan Holtz]
NEC PC-8801FA [Angelo Salese, O. Galibert, Carl]
NEC PC-8801MA2 [Angelo Salese, O. Galibert, Carl]
NEC PC-8801mkIIFR [Angelo Salese, O. Galibert, Carl]
NEC PC-8801mkIIMR [Angelo Salese, O. Galibert, Carl]
Tangerine Microtan 6809 System [Nigel Barnes]


New systems marked not working
------------------------------
The Castle [caius]
Dream Rail [Recreativos Piscis]
Heat Up Hockey Image (Ver.1.003R) [Darksoft, MetalliC]
Name Club Disney (J 980614 V1.000) [Darksoft, TeamEurope]
Sprow MiniB Computer [Nigel Barnes, Sprow]
Super 555 (English version V1.5) [hammy]
Takara / SSD Company LTD Gun Gun Adventure (Japan) [Sean Riddle]
Transam Triton L7.2 [Ian Lockhart, Nigel Barnes]
Yataimura Shateki (1-player, Japan, Ver 1.000) [Darksoft, MetalliC, rtw]


New clones marked not working
-----------------------------
Pocket Gal / unknown card game [caius, hammy]
Racing Jam (GQ676AAC) [Windy Fairy]
Racing Jam (GQ676EAC) [Windy Fairy]
Racing Jam (GQ676JAC) [Windy Fairy]
Racing Jam: Chapter 2 (GQ888AAA) [Windy Fairy]
Racing Jam: Chapter 2 (GQ888UAA) [Windy Fairy]
The Rock [caius]
Tandy Radio Shack Deluxe Color Computer [Tim Lindner]
Thrill Drive (ABB) [Windy Fairy]
Thrill Drive (ABE) [Windy Fairy]
Thrill Drive (ACB) [Windy Fairy]
Thrill Drive (ACE) [Windy Fairy]
Thrill Drive (EDB) [Windy Fairy]
Thrill Drive (EDE) [Windy Fairy]
Thrill Drive (JCB) [Windy Fairy]
Thrill Drive (JCE) [Windy Fairy]
Thrill Drive (UDB) [Windy Fairy]
Thrill Drive (UDE) [Windy Fairy]
Thrill Drive (ver GE713JAB) [Windy Fairy]
Thrill Drive (ver GK713EAB) [Windy Fairy]
Thrill Drive (ver GK713EEB) [Windy Fairy]
Thrill Drive (ver GK713K*B) [Windy Fairy]
Thrill Drive (ver GM713JAB) [Windy Fairy]
Thrill Drive (ver GN713JAB) [Windy Fairy]
Thrill Drive (ver GP713JAB) [Windy Fairy]
Transam Triton L4.1 [Ian Lockhart, Nigel Barnes]
Transam Triton L5.1 [Ian Lockhart, Nigel Barnes]
Transam Triton L5.2 [Ian Lockhart, Nigel Barnes]
White Water (P-6) [Matt’s Basement Arcade, PinMAME]
Yamaha PSS-780 [TwistedTom]


New working software list items
-------------------------------
apple2_flop_misc: Aleph Baiters, Borders, The Georgia Variations, Nosh Kosh [Josh Renaud, Sali Ariel, Keith Hacke]
aquarius_cass: Doomsday Defender [Roy Templeman]
bbc_rom:
  FBBS 3.0, Kevin's Rip-off ROM 1.00, Meta Assembler 3.45A, MMFS 1.52, MMFS Turbo 1.52, Palesar RAM Manager 1.04, Ripper V1,
  Ripper V1 (13 Commands), Ripper V1 (Disk Menu), Sci 1.34, Speech Synthesis 0.01, SSMP 2.00, View Trilogy, ViewFiler 0.2,
  VT Clock 1.16 [Nigel Barnes]
bbcm_cart: Master SD R2 [Ramptop]
coleco:
  Frogger II: Threedeep! (prototype, 19840615), Star Wars: The Arcade Game (prototype, 19840412) [Ed Semrad, Hidden Palace, VGHF]
hp9825_rom:
  9862 Plotter/Gen I/O ROM for 9825, General/extended I/O ROM for 9825, General/extended I/O/9862 plotter ROM for 9825,
  General/extended I/O/plotter ROM for 9825, Plotter/Gen I/O ROM for 9825, String/Advanced programming ROM for 9825 [F.Ulivi]
hp9831_rom: Mass storage ROM for 9831 [F.Ulivi]
ibm5150:
  Teenage Mutant Hero Turtles (Spain, 3.5"), Teenage Mutant Hero Turtles (Spain, 5.25") [Abandon Socios]
  Arcade Hits, Bombuzal, Mega Man (3.5"), Pole Position, Street Fighting Man (alt), Zeliard (3.5"), Zeliard (5.25")
  [The Good Old Days]
  Teenage Mutant Hero Turtles (5.25"), Zeliard (3.5", v2.0) [Old-Games.RU]
ibm5170_cdrom:
  5 Plus One: Pack 10 - The Blues Brothers, 5 Plus One: Pack 25 - TV Sports Football, The Bitmap Brothers Compilation,
  Delphine Classic Collection - Adventure, Hocus Pocus (Europe), Hocus Pocus (Germany), Hocus Pocus (Germany, shareware),
  Hocus Pocus (Spain), Hocus Pocus (USA), Hocus Pocus (USA, mail order release), Hocus Pocus (USA, rerelease),
  Hocus Pocus (USA, rerelease, alt), id Anthology, id Anthology (rev 1), Zool 2, Zool: Ninja of the "Nth" Dimension [redump.org]
mk14_quik: Falling Man, Invaders, Pong [Nigel Barnes]
mpf1_rom: FORTH-I/88, VIP-I/88 [Nigel Barnes]
msx1_bee_card:
  Jet Set Willy, Takahashi Meijin no Boukenjima (Japan), Takahashi Meijin no Boukenjima (Japan, alt), Yakyuu Kyou (Japan)
  [Wilbert Pol]
msx_softcard: The Wreck (UK) [Wilbert Pol]
nes:
  Nighttime Bastards [anonymous]
  Crazy Land (USA, prototype), Galaxy 5000 - Racing in the 51st Century (USA, prototype), Hoops (USA, prototype),
  Iron Tank - The Invasion of Normandy (USA, prototype), R.B.I. Baseball 2 (USA, prototype, 19900307),
  Rally Bike (USA, prototype, 19900226), RoadBlasters (USA, prototype), Shadow of the Ninja (USA, sample), Silkworm (USA, prototype)
  [Ed Semrad, Hidden Palace, VGHF]
  Mick & Mack as the Global Gladiators (prototype, 19930528), Mick & Mack as the Global Gladiators (prototype, 19930528, alt),
  Mick & Mack as the Global Gladiators (prototype, 19930616), Mick & Mack as the Global Gladiators (prototype, 19930630),
  Mick & Mack as the Global Gladiators (prototype, 19930709) [ICEknight, steem69]
  2 in 1 - GEMiNIM & Siamond, Sudoku 2007 [NESBrew12]
pc8801_flop:
  D' (cracked) [Neo Kobe Collection]
  Donkey Kong 3 - Dai Gyakushuu [The Game Preservation Society, Carl, Disk Blitz]
sms:
  King's Quest - Quest for the Crown (USA, prototype, 19890203), Monopoly (USA, prototype, alt), Super Monaco GP (USA, prototype)
  [Ed Semrad, smspower, VGHF]
snes: 16 Bit Xmas 2011 - Christmas Craze (USA), 16 Bit Xmas 2012 - Snowball Fight (USA) [retroUSB]
sprachmg: English (Polish speaker), German, German (older), Spanish [Crypto Museum]
spectrum_cass:
  ACE 2088 (MCM), Adidas Championship Football (Erbe), Adidas Championship Tie Break (Musical 1) [spectrumcomputing.co.uk]
triton_rom: Fast VDU [Ian Lockhart]
x68k_flop:
  SX-Window v3.1 (alt 2) [Brice Onken]
  Casablanca ni Ai o - Satsujin-sha wa Jikuu o Koete, Death Bringer, Dome, Emerald Dragon, The Hot File Express (1991-12-24),
  The Hot File Express (1993-10-28), Genocide 2 - Master of the Dark Communion, Signatory - Chouinsha, Tritorn Final,
  Warning Type 68 [krugman]


Software list items promoted to working
---------------------------------------
ibm5150:
  ABC's Wide World of Sports Boxing, Ancient Land of Ys, Big Top (cracked), Crypto Cube,
  IBM Personal Computer DOS (Version 1.10) (Master diskette, alt), Kobayashi Naru, PC Globe 4.0 [Angelo Salese]
megadriv: Rockman Mega World (Japan, EEPROM) [einstein95]
nes:
  Akagawa Jirou no Yuurei Ressha (Japan), Castelian (Europe), Door Door (FMG pirate), Door Door (Japan), Dragon Quest (Japan),
  Dragon Quest II - Akuryou no Kamigami (Japan), GeGeGe no Kitarou - Youkai Daimakyou (FMG pirate),
  GeGeGe no Kitarou - Youkai Daimakyou (Japan), GeGeGe no Kitarou - Youkai Daimakyou (Japan, prototype),
  The Guardian Legend (Europe), The Guardian Legend (USA), Guardic Gaiden (Japan), Jesus - Kyoufu no Bio Monster (Japan),
  Mahjong Taikai (Japan), Mendel Palace (USA), The Mutant Virus (USA), Ninja Jajamaru - Ginga Daisakusen (Japan),
  Ninja Jajamaru - Ginga Daisakusen (Japan, prototype), Ninja Kid (USA), Portopia Renzoku Satsujin Jiken (Japan), Qix (USA),
  Quinty (Japan), Squashed (USA, prototype), WWF WrestleMania (Europe), WWF WrestleMania (USA) [kmg]
pc8801_flop:
  3D Golf Simulation - Super Version, Abunai Tengu Densetsu, Abunai Tengu Densetsu (Ver.1.05 alt Disk A),
  Abunai Tengu Densetsu (alt 3), Abunai Tengu Densetsu (alt Disk A 2), Adult Inn '87-'88 Bangai-hen,
  Advanced Fantasian - Quest for Lost Sanctuary, Advanced Fantasian - Quest for Lost Sanctuary (alt 2),
  Advanced Fantasian - Quest for Lost Sanctuary (alt User Disk), Adventureland, Aino New Loaders 4, Aino New Loaders 4 (alt),
  Aino New Loaders Vol. 5, Akazukin-chan, Akujo Densetsu II - Sailor-fuku Rhapsody,
  Akujo Densetsu II - Sailor-fuku Rhapsody (alt Disk A), Akuryou no Machi, Alice Tachi no Gogo Vol. 1,
  Alice Tachi no Gogo Vol. 1 (alt), Alphos, Amazon Gakujutsu Tanken (alt), Ashura no To, Bastard Special,
  Bishoujo Shashinkan - Moving School, Bishoujo Shashinkan - Moving School (alt?), Bishoujo Shashinkan - Studio Cut,
  Bishoujo Shashinkan - Studio Cut (alt?), The Black Onyx, The Black Onyx (Version 4.1), The Byoin, Campaign-ban Daisenryaku 2,
  Can Can Bunny Superior, Can Can Bunny Superior (alt 2), Can Can Bunny Superior (alt?), Card Game Change Vol.1,
  Card Game Change Vol.1 (alt), Carmine, Carmine (alt?), Columns, Comsight, Corridor, The Dragon Princess, Expert88 (Ver 2.1),
  Fruit Panic, Hansen Simulator - Thousantis-go no Bouken, Hydlide 3 - The Space Memories, Key On, KyuRyuTou, KyuRyuTou (SR ver),
  Maildog Muku, Motoko-hime Adventure, Music with Obie - Animal Quartet, My Lolita, Operation L, The Paladin, Penguin-kun Wars,
  Penguin-kun Wars (alt), Rats & Star (V2.07), Romancia, SeeNa - Wide screen, Sekai Yaruhodo So Much, Shanghai SR,
  Shin Kugyokuden Demo, Snatcher Demo, Snatcher Demo (alt), Sorcerian (v1.0), Sorcerian (v1.1), Star Cruiser, Still Sword,
  Super Jack 88 (SB2 version), Ten to Chi to, Testament Expansion Map, Tetris (alt?), Tobira wo Hirakete, Tonky, Triton, Weird 2,
  WiBArM, Woody Poco, World Golf (alt), Xanadu, Xanadu (alt), Xanadu Scenario II - The Resurrection of Dragon (hack), Xylos,
  Yakyuu-dou, Yakyuu-dou (alt), ZETA-88 Vol. 2 [Angelo Salese, O. Galibert, Carl]


New software list items marked not working
------------------------------------------
ekara_japan_a: A-2 Mermaid Melody Pichi Pichi Pitch vol.2 (Japan) [WingedPikPik, TeamEurope]
hp9831_rom: Matrix/plotter ROM for 9831 [F.Ulivi]
pc8801_flop: D' (alt) [Neo Kobe Collection]
stv: Name Club Disney (J 980614 V1.000) [Darksoft, TeamEurope]
x68k_flop: 38 Man Kilo no Kokuu, Soft de Hard na Monogatari II [krugman]


Merged pull requests
--------------------
- 9278: yamaha/ymdx100.cpp: Implemented most of the Yamaha DX100 emulation. [Pietro Gagliardi]
- 9859: osd/modules/file: Don’t magically substitute environment variables when opening files. [Nathan Woods]
- 10419: ibm5170_cdrom.xml: Added sixteen working items. [redump.org, ArcadeShadow]
- 10509: msx1_cart.xml, msx1_cass.xml, msx1_flop.xml: Cleaned up descriptions. [ArcadeShadow]
- 10513: msx2_cart.xml, msx2_cass.xml, msx2_flop.xml, msx2p_flop.xml: Cleaned up descriptions. [ArcadeShadow]
- 10527: sega_beena_cart.xml: Use lowercase for things that aren’t proper nouns in software list description. [ArcadeShadow]
- 10572: cpu/m6809: Improved emulation to TFR and EXG instructions. [Tim Lindner]
- 10575: trs/coco12.cpp, trs/coco3.cpp: Moved real-time clocks to slot cards where they belong (addresses MT08416). [Tim Lindner]
- 10595: hp/hp9825.cpp: Added support for the HP 9825A and HP 9831. [fulivi]
- 10604: apple2_flop_misc.xml: Added four working Israeli games. [Josh Renaud, Aali Ariel, Keith Hacke, telanus]
- 10605: Fixed some misspellings, mostly involving the word “occurrences”. [kmg]
- 10607: misc/cocoloco.cpp: Corrected misspelled DIP switch setting name for Coco Loco. [kmg]
- 10610: bus/msx: Added support for Hudson Soft Bee Cards and Electric Software Astron Softcards. [Wilbert Pol]
- 10611: snes.xml: Added two 16 Bit Xmas titles. [retroUSB, kmg]
- 10614: konami/hornet.cpp, konami/cobra.cpp, konami/nwk-tr.cpp: Refactored JVS host code. [Windy Fairy]
- 10615: machine/upd765.cpp: Don’t raise data interrupt on abnormal command termination. [Angelo Salese]
- 10617: konami/konami_gn676_lan.cpp: Rewrote GN676 LAN board emulation. [Windy Fairy]
- 10619: video/v9938.cpp: Implemented V9958 registers 26 and 27 for graphic23 and graphic4 modes (fixes MT08466). [Wilbert Pol]
- 10621: x68k_flop.xml: Added twelve new dumps from original disks (ten working). [krugman, r09]
- 10622: apple2_flop_orig.xml: Use title case for publisher names. [ArcadeShadow]
- 10623: rz1_cass.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10624: a800.xml: Use unabbreviated country names and lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10625: konami/konmedal.cpp: Corrected the K051649 clock frequency for a few titles (fixes sound pitch). [BoxCubed]
- 10627: konami/hornet.cpp: Improved Silent Scope and Teraburst I/O emulation. [Windy Fairy]
- 10629: msx/slot/cartridge.cpp: Don’t unnecessarily copy software memory region contents. [Wilbert Pol]
- 10630: dataeast/deco_mlc.cpp: Added subtitle to descriptions for Asian releases of Skull Fang games. [Michael Sanborn]
- 10633: barcrest/mpu4.cpp, barcrest/mpu4vid.cpp: Encapsulated sampled sound board as a device. [James Wallace]
- 10635: ibm5150.xml: Retested software marked as partially supported or unsupported. [Angelo Salese]
- 10636: megadriv.xml: Fixed cartridge type for rockman1. [einstein95]
- 10637: konami/hornet: Fixed regression causing Teraburst’s gun I/O to fail boot test. [Windy Fairy]
- 10639: pcecd.xml: Use unabbreviated country names in descriptions. [ArcadeShadow]
- 10640: pc98.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10641: machine/mc68328.cpp, palm/palm.cpp: Improved LCD controller emulation and cleaned up code. [Ryan Holtz]
- 10642: dataeast/decocass.cpp: Added Nebula (UK). [Rene Balke, Darksoft, Senil Data Systems, David Haywood]
- 10643: spectrum_cass.xml: Added three working items, and removed a duplicate item. [spectrumcomputing.co.uk, ArcadeShadow]
- 10644: sound/nes_apu.cpp: Only allow reading status register; nintendo/dkong.cpp: Fixed crashes in dkong3b. [kmg]
- 10645: misc/cave.cpp: Added PEEL18CV8 PLD dumps for Power Instinct 2 and Power Instinct Legends. [Sergio Galiano]
- 10647: bus/coco: Cleaned up code a little. [Tim Lindner]
- 10648: trs/coco12.cpp: Added unreleased Deluxe Color Computer machine configuration with a placeholder ROM. [Tim Lindner]
- 10649: atari/sprint8.cpp: Cleaned up input code. [kmg]
- 10651: tecmo/tehkanwc.cpp: Added world version of Tee'd Off. [system11, David Haywood]
- 10653: dataeast/decocass.cpp: Removed “clown car credits” from comments. [David Haywood]
- 10654: seta/x1_012.cpp, seta/seta_v.cpp: Moved video update trigger from device to drivers (works around MT08530). [David Haywood]
- 10656: nec/pc88va.cpp: Improved emulation, allowing most software to boot on the PC-88VA2. [Angelo Salese]
- 10658: misc/cave.cpp: Added a newly dumped US version of Power Instinct 2. [Sergio Galiano, Recreativos Piscis]
- 10659: apple1.xml: Use title case for publisher names. [einstein95]
- 10660: vtech/vsmile.cpp: Added machine configuration switches, allowing access to BIOS test mode. [KanedaFr]
- 10663: Added duty cycle effects to layouts for fruit machines using ROC10937 and clones, and improved emulation. [James Wallace]
- 10664: tiger/gamecom.cpp: Improved audio emulation (still very innacurate). [FateForWindows]
- 10665: namco/mappy.cpp: Put DIP switch settings in order from least generous to most generous. [einstein95]
- 10666: nintendo/vsnes.cpp: Aligned default DIP switch settings with factory defaults. [kmg]
- 10667: atari/starshp1.cpp: Set thrust control to slow when not pushing button. [kmg]
- 10668: hp/hp80.cpp: Fixed keyboard issues with hp86b_001 and hp86b_004 systems. [F.Ulivi]
- 10669: yamaha/ympsr16.cpp: Added skeleton driver for Yamaha PSS-780. [TwistedTom]
- 10670: nintendo/cham24.cpp: Added save state support and cleaned up code. [kmg]
- 10671: sms.xml: Added three working prototypes. [Ed Semrad, smspower, VGHF, kmg]
- 10672: coleco.xml: Added two working prototypes. [Ed Semradm Hidden Palace, VGHF, kmg]
- 10673: capcom/cps1.cpp: Created mapper by decoding the recently dumped SFZ63B PAL. [TwistedTom]
- 10674: nes.xml: Added twelve working items. [Ed Semrad, Hidden Palace, VGHF, NESBrew12, anonymous, kmg]
- 10677: sega/model3.cpp: Added drive board ROMs from Scud Race to Dirt Devils (uses the same PCB). [Museo del Recreativo, ClawGrip]
- 10678: video/ppu2c0x.cpp: Improved behavior of OAM writes during PPU rendering. [kmg]
- 10680: Added recently-added system driver source files to arcade and MESS filter files. [MASH]
- 10681: dataeast/decocass.cpp: Cleaned up BIOS macros, fixed bit error in cnebula tape image and added bootlegs. [DavidHaywood]
- 10682: sega/sms.cpp: Refactored Game Gear handling. [Vas Crabb]
- 10683: tvgames/xavix.cpp: Added Gun Gun Adventure (not working). [Sean Riddle, David Haywood]
- 10684: palm/palm.cpp: Improved Palm IIIc support; machine/mc68328.cpp: Added MC68EZ328 variant. [Ryan Holtz]
- 10685: nec/pc8801.cpp: Promoted PC-8801mkII SR machines to working. [Angelo Salese, O. Galibert, Carl]
- 10686: bus/a7800/rom.cpp, nes.xml: Use proper bank order for Activision 128K cartridges. [kmg]
- 10687: bus/megadrive/jcart.cpp: Fixed typo in include guard macro. [kmg]
- 10689: vsmileb_cart.xml: Added regional titles for undumped Teletubbies game. [ClawGrip]
- 10690: capcom/gunsmoke.cpp: Added a new North American set of Gun.Smoke. [Victor Fernandez (City Game), Jordi Beltrán, ClawGrip]
- 10691: nintendo/playch10.cpp: Added separate gun trigger input. [kmg]
- 10692: osd/windows: Fixed a potential crash when toggling full-screen mode (MT08535). [Ryan Holtz]
- 10694: sega/sg1000.cpp: Made SG-1000 player 1 controller fixed, and fixed crash on starting Othello Multivision consoles. [kmg]
- 10695: bus/snes/snes_slot.cpp: Fixed reported ROM speed when logging cartridge header. [TwistedTom]
- 10696: palm/palm.cpp: Split Palm LCD controller into a separate device, promoted Palm m100 to working. [Ryan Holtz]
- 10697: skeleton: Renamed Vector 4 to Vector 3, and fixed some incorrect Vector 4 machine configuration. [Eric Anderson]
- 10698: ibm5150.xml: Added eleven working items. [The Good Old Days, Abandon Socios, Old-Games.RU, ArcadeShadow]
- 10699: ibm5170_cdrom.xml: Corrected misspelled game title in notes for 5plus1_25. [ArcadeShadow]
- 10700: sound/upd934g.cpp: Use device_rom_interface rather than a read callback for external memory. [Devin Acker]
- 10702: yamaha/ymdx9.cpp: Resolved issues with incoming MIDI. [Anthony]
- 10704: sega/turbo.cpp: Added missing pedal inputs. [kmg]
- 10705: kiwako/mrjong.cpp: Fixed horizontal sprite offset when screen is flipped. [Pierre Cornier]
- 10707: sega/turbo.cpp: Clarified lives DIP switch setting name for Turbo. [kmg]
- 10709: jpm/jmpsys5.cpp: Started working on inputs, and added reel interface. [James Wallace]
- 10712: sega/turbo_v.cpp: Simplified bit field extraction. [kmg]
- 10715: sound/nes_apu.cpp: Implemented frame counter interrupt (fixes MT06186, MT07625 and MT07658). [kmg]
- 10716: nintendo/dkong.cpp: Added more notes about dkong3 sound. [kmg]
- 10717: docs: Added preliminary guide for would-be contributors. [Ryan Holtz, Vas Crabb, O. Galibert]
- 10718: nes.xml: Added five builds of an unreleased prototype. [ICEknight, steem69, kmg]
- 10719: sharp/x68k_v.cpp: Cleaned up screen update function. [grantek]
- 10725: Reverted “sharp/x68k_v.cpp: Cleaned up screen update function” (PR #10719) – it breaks Super Hang-On. [Vas Crabb]
- 10728: midway/omegrace.cpp: Replaced input lookup table with encoder function. [kmg]
- 10731: msx1_flop.xml: Improved metadata and removed disk conversions. [Wilbert Pol]
- 10732: tvgogo.xml: Replaced country name abbreviations in descriptions with full names. [ArcadeShadow]
- 10733: x68k_flop.xml: Added an alternate version of SX-Window 3.1. [Brice Onken]
- 10734: einstein.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10735: spectrum_cart.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10736: cdi.xml: Replaced country name abbreviations in descriptions with full names. [ArcadeShadow]
- 10737: vtech_storio_cart.xml: Use lowercase for things that aren’t proper nouns in software list description. [ArcadeShadow]
- 10739: digiblast_cart.xml: Use lowercase for things that aren’t proper nouns in software list description. [ArcadeShadow]


Source changes
--------------
-harddisk.h: #include shuffling [AJR]

-Added 4 Israeli games [Josh Renaud, Sali Ariel, Keith Hacke] (#10604) [telanus]

New working software list items (apple2_flop_misc)
--------------------------------------------------
Aleph Baiters [Josh Renaud, Sali Ariel, Keith Hacke]
Nosh Kosh [Josh Renaud, Sali Ariel, Keith Hacke]
Borders [Josh Renaud, Sali Ariel, Keith Hacke]
The Georgia Variations [Josh Renaud, Sali Ariel, Keith Hacke]

-scmp: Fix unreliable order of execution in JMP instruction [AJR]

-misc/cocoloco.cpp: Corrected DIP switch name Cocoloco typo. (#10607) [0kmg]

-konami/hornet.cpp, konami/cobra.cpp, konami/nwk-tr.cpp: Refactored JVS host code. (#10614) [987123879113]
 * Refactored JVS host code into a common device for Konami PPC400 series systems.
 * konami/nwk-tr.cpp: Implemented JVS.
 * konami/cobra.cpp: Replaced JVS code and hooked up Windy2 I/O for bujutsu.

New working clones
------------------
Bonze Adventure (World, prototype, older) [BL]

-comad/zerozone.cpp: added PCB infos and derived clocks from actual XTALs, pending measurements [Brian Troha]

-taito/asuka.cpp: ROM labels' improvements for bonzeadvp2 [Ivan Vangelista]

New working machines
--------------------
Skate or Die (Konami, handheld) [hap, Sean Riddle, Mr. Do]
Bill Elliott's Nascar Racing (handheld) [hap, Sean Riddle, Mr. Do]

-knascar: uppercase title string [hap]

-konami/konami_gn676_lan.cpp: Rewrote GN676 LAN board emulation. (#10617) [987123879113]
 * Now passed boot checks, and supports x76 security chip.
 * Added variants for Thrill Drive, Racing Jam, and Racing Jam 2.
 * konami/nwk-tr.cpp: Added Thrill Drive security chips and variants.
 * konami/hornet.cpp: Added Thrill Drive variants.
 * konami/nwk-tr.cpp: Added Racing Jam 1 and 2 variants.

New clones marked as NOT_WORKING
--------------------------------
Racing Jam (GQ676UAC) [windyfairy]
Racing Jam (GQ676EAC) [windyfairy]
Racing Jam (GQ676AAC) [windyfairy]
Racing Jam: Chapter 2 (GQ888UAA) [windyfairy]
Racing Jam: Chapter 2 (GQ888AAA) [windyfairy]
Thrill Drive (UDE) [windyfairy]
Thrill Drive (JCE) [windyfairy]
Thrill Drive (EDE) [windyfairy]
Thrill Drive (ACE) [windyfairy]
Thrill Drive (ABE) [windyfairy]
Thrill Drive (UDB) [windyfairy]
Thrill Drive (JCB) [windyfairy]
Thrill Drive (EDB) [windyfairy]
Thrill Drive (ACB) [windyfairy]
Thrill Drive (ABB) [windyfairy]
Thrill Drive (ver GN713JAB) [windyfairy]
Thrill Drive (ver GM713JAB) [windyfairy]
Thrill Drive (ver GP713JAB) [windyfairy]
Thrill Drive (ver GE713JAB) [windyfairy]
Thrill Drive (ver GK713EAB) [windyfairy]
Thrill Drive (ver GK713EEB) [windyfairy]
Thrill Drive (ver GK713K*B) [windyfairy]

-hash/ibmpcjr_flop.xml: add QA notes, demote entries where applicable [angelosa]

-nes_apu: update stream before reading statusreg [hap]

-bgt.cpp: Remove skeleton driver and fold sets into neptunp2.cpp [AJR]

-debugger: Improved session save/restore. [Vas Crabb]
 * Qt: Save expression for memory and disassembly views.
 * Qt: Made command history behave more like Cocoa.
 * Qt: Added expression history and made behaviour more like Cocoa.
 * Qt: Refactored global notifications to use signals.
 * Win32: Increased command/expression history size to 100 items.
 * Cocoa: Save state of device info viewer windows.
 * Qt/Win32/Cocoa: Save command/expression history.

-util/xmlfile.cpp: Fixed bug where copyInto failed to copy nodes. [Vas Crabb]

-debugger: Hopefully fix undefined names in Cocoa debugger. [Vas Crabb]

-unico/silkroad.cpp:  consolidated driver in single file [Ivan Vangelista]

-debugger: Add missing override qualifiers in Qt debugger. [Vas Crabb]

-upd765.cpp: return a command_end with data_completion = false for failed commands (#10615) [Angelo Salese]
 * upd765.cpp: return a command_end with data_completion = false for failed commands
 * upd765.cpp: add for format_track_continue too

-Fix f726eee (mumdump broken) [Olivier Galibert]

-rz1_cass.xml: Lowercase on descriptive words. (#10623) [ArcadeShadow]
 * Lowercase on descriptive "samples" word.

-a800.xml: Metadata cleanups. (#10624) [ArcadeShadow]
 * Replaced countries' abbreviations by their full name.
 * Lowercase on some descriptive words like "Rev", "Alt", "Prototype", "Pirate".

-apple2_flop_orig.xml: Use title case for company names (proper nouns). (#10622) [ArcadeShadow]

-Fixed some misspelling occurrences here and there. (#10605) [0kmg]

-video/v9938.cpp: Implemented V9958 registers 26 and 27 for graphic23 and graphic4 modes. (#10619) [wilbertpol]
 * Fixes MT08466.

-ekara_japan_a.xml: Added the final known un-dumped A series cartridge. [Vas Crabb]
 * Also added "Mermaid Melody" to titles for first three cartridges as it's on the title screen and cartridge label in gold text (it
    may be there for the others as well, but I haven't checked).

New NOT_WORKING software list items
-----------------------------------
ekara_japan_a: A-2 Mermaid Melody Pichi Pichi Pitch vol.2 [WingedPikPik, TeamEurope]

-snes.xml: Put a couple holiday homebrews in your SNES stocking. (#10611) [0kmg]

New working software list additions (snes.xml)
----------------------------------------------
16 Bit Xmas 2011 - Christmas Craze (USA) [retroUSB]
16 Bit Xmas 2012 - Snowball Fight (USA) [retroUSB]

-x68k_flop.xml: Added twelve dumps from original disks, and removed load offsets. (#10621) [r09]
 * Renamed existing dumps to "cracked".
 * Changed some part_ids to reflect the actual disk labels.
 * Added usage notes for Death Bringer.

New working software list additions (x68k_flop.xml)
---------------------------------------------------
Casablanca ni Ai o - Satsujin-sha wa Jikuu o Koete [krugman]
Death Bringer [krugman]
Dome [krugman]
Emerald Dragon [krugman]
Genocide 2 - Master of the Dark Communion [krugman]
Signatory - Chouinsha [krugman]
The Hot File Express (1991-12-24) [krugman]
The Hot File Express (1993-10-28) [krugman]
Tritorn Final [krugman]
Warning Type 68 [krugman]

New not working software list additions (x68k_flop.xml)
-------------------------------------------------------
38 Man Kilo no Kokuu [krugman]
Soft de Hard na Monogatari II [krugman]

-sega_beena_cart.xml: Use lowercase for things that aren't proper nouns in name. (#10527) [ArcadeShadow]

-bus/msx: Added support for Hudson Soft Bee Card and Electric Software Astron Softcard media. (#10610) [wilbertpol]
 * Copied or moved Bee Cards entries from msx1_cart.xml to msx1_bee_card.xml.
 * Copied or moved SoftCard entries from msx1_cart.xml to msx_softcard.xml.

-konmedal.cpp: correct the K051649 audio clocks (#10625) [b0x-Cub3d]

-unidasm: Add IBM 1800, IBM 1130 and (DG) Nova disassemblers [AJR]

New machines marked as NOT_WORKING
----------------------------------
Name Club Disney (J 980614 V1.000) [Darksoft, TeamEurope]

New NOT_WORKING software list additions
---------------------------------------
Name Club Disney (J 980614 V1.000) [Darksoft, TeamEurope]

New working clones
------------------
Slots (Belgian Token, Game Card 95-750-452) [Gerald (COY)]

-hkittymp: add steering wheel [dink] hkittymp: correct game title [hap]

Machine promoted to working
---------------------------
Magical Pumpkin: Puroland de Daibouken (Japan 960712) [dink]

-namcos22: apply prelim lighting to more games [hap]

-dataeast/deco_mlc.cpp - Add Japanese subtitle to Skull Fang clones. (#10630) [Michael Sanborn]
 * This subtitle is found on both Asian and Japanese rom sets.

-zaccaria: fix cocktail mode [iq_132]

-Fixed some errors in Brazilian Portuguese translation. [cd4053b, Wellington Uemura]

-konami/hornet.cpp: Improvements for Silent Scope and Teraburst: (#10627) [987123879113]
 * Implemented scope board ADC.
 * Made the GN680 return gun controls for Teraburst.
 * Added note about IRQ0 and IRQ1 bits in sysreg_w.

-6x09 TFR / EXG Improvement (#10572) [tim lindner]
 * Remove tuple implementation used by the EXG and TFR instructions of the 6809, 6309 and Konami CPUs. It was unnecessary because
    fundamentally these are implemented with a single, 16 bit wide temporary register.
 * Changed how the 6809 CPU processes the invalid 8 to/from 16 bit register combinations. Their behavior now matches actual
    hardware. I used page 66 and 138 of Darren Atkinson's 6x09 manual [1] for reference. I also double checked with my own hardware
    [2].
 * Checked for regressions using NitrOS-9 (6809 and 6309) on the CoCo, And Aliens and 88Games (Konami).

-mpu4vid.cpp: Fix bad logging format string [AJR]

-video/pc_vga.cpp: fix Read Mode 1 target color for comparison [angelosa]
 * fixes at least transparent pen sprite-like in ibm5150:lombrall & ibm5150:intsocch and missing text in ibm5150:pcglobe sets

-video/pc_vga.cpp: preliminary implemention for line_compare in vga_vh_ega mode [angelosa]

-zaccaria: small cleanup on prev commit [hap]

-rp2a03: don't read from unmapped apu regs [hap]

-pcecd.xml: Don't abbreviate "Japan" in descriptions. (#10639) [ArcadeShadow]

-konami/hornet: Fixed regression causing Teraburst's gun I/O to fail boot test. (#10637) [987123879113]

-megadriv.xml: Added zero offset back for multi-ROM load commands, and corrected rockman1 cartridge type. (#10636) [eientei95]

Software list items promoted to working
---------------------------------------
megadriv.xml: Rockman Mega World (Japan, EEPROM) [eientei]

-dkong3: add soundcpu bus conflict [hap]

-msx/slot/cartridge.cpp: Stop copying software memory region contents. (#10629) [wilbertpol]
 * bus/msx/cart: Replaced fatal errors with image_init_result and a descriptive message.

-exidy440_a: zerofill more class variables [hap]

-aerfboot: remove possible spriteram oob access [hap]

-combatscb: fix spriteram oob access [hap]

-highvdeo: make blit_ram writeonly [hap]

-nec/pc80s31k.cpp: make pc88va2_fd_if a subdevice of pc80s31k [angelosa]

-optiger: fix poly rom region size [hap]

-sound/nes_apu.cpp: Can no longer read from anything but status register. (#10644) [0kmg]
 * sound/nes_apu.cpp: Can no longer read from anything but status register. nintendo/nes_vt*: Aligned PnP APU code with core
    changes. nintendo/dkong.cpp: Fixed dkong3b crash regression.

-New WORKING Machines (Nebula, DECO Cassette) (#10642) [David Haywood]

New WORKING Machines
--------------------
Nebula (DECO Cassette) (UK) [Rene Balke, Darksoft, Arcadeautomaten/Senil Data Systems, David Haywood]

-dkong3: extend write tap range [hap]

-barcrest/mpu4.cpp, barcrest/mpu4vid.cpp: Encapsulated sampled sound board as a device. (#10633) [James Wallace]
 * Got rid of duplication in non-video and video system drivers.
 * Set sound output to mono to match the circuit schematics.
 * Added Alarm tone circuitry.

-machine/roc10937.cpp: Corrected duty cycle on reset. [James Wallace]

-yamaha/ymdx100.cpp: Implemented most of the Yamaha DX100 emulation. (#9278) [Pietro Gagliardi]
 * Includes controls, cassette interface, and an internal layout.
 * Currently using YM2151 in place of unemulated YM2164 sound engine.
 * Thanks to Devin Acker for assistance.

Machines promoted to working
----------------------------
Yamaha DX100 Digital Programmable Algorithm Synthesizer [Pietro Gagliardi]

-trs/coco12.cpp, trs/coco3.cpp: Moved real-time clocks to where they belong (addresses MT08416). (#10575) [tim lindner]
 * bus/coco: Remove real-time clock and no-halt functions from Radio Shack floppy disk controller.
 * bus/coco: Added Disto Super Controller II floppy disk controller that contains no-halt functionality
 * bus/coco: Added "mini expansion bus" that the SCII uses for add on cards, and added slots to SCII and Disto RAM cartridges.
 * bus/coco: Added Disto "Realtime Clock" MEB slot device (also includes a parallel printer interface).

-frontend: Load INI files for the 'empty' driver that runs under the system selection menu. [Vas Crabb]

-MC68328 and PalmPilot: More cleanups and better LCDC emulation (#10641) [MooglyGuy]

-upd765: revert data_completion change and clear data_irq in fifo_r/w.  Also disable clearing data_irq in msr_r. [cracyc]

-dataeast/sshangha.cpp: consolidated driver in single file [Ivan Vangelista]

New clones marked as NOT_WORKING
--------------------------------
Pocket Gal / unknown card game [Caius, Hammy]

-nichibutsu/cclimber.cpp: hand fixed a couple of GFX ROMs for ccbootm. Still need a proper dump from another PCB. [hammy]

-floppy sound: fix spin sample oob access [hap]

-toaplan1: correct z180 cpu speed [hap]

-imgtool: properly remove all Apple modules. (GitHub #10594) [R. Belmont]

-hd647180x: fix typo on port E read [hap]

-fireshrk: Soundlatch modernization [AJR]

-toaplan1.h: Clean up unused prototypes [AJR]

-fireshrk: set mcu unmap_value_high [hap]

-fireshrk: quantum can be reduced after adding latch device [hap]

-toaplan1.cpp: Clean up coin counter/lockout handling [AJR]

-exprraid: identify unknown prom as gfx layer priority [Pierre Cornier]

New machines marked as NOT_WORKING
----------------------------------
Dream Rail [Recreativos Piscis]

-bus/sms_ctrl: Reworked Sega Master System controller bus. [Vas Crabb]
 * Rationalised interface, got rid of TH from the "pulled" lines, and extended to support output on all data lines.  Renamed to be
    less specific as the same interface is shared by multiple consoles.
 * Removed a lot of unnecessary indirection through I/O ports and multiple levels of inversion in peripheral emulation that was
    obfuscating the code.
 * Made Rapid Fire Unit switches toggles so they can be assigned to controller buttons and switched on/off easily during gameplay.
    You can still see/change the current state in the Toggle Inputs menu if you don't want to assign buttons.
 * Implemented idle timeout in Furrtek 4-player Master System adapter.
 * Improved crosshair tracking in Graphic Board, added ability to raise/lower pen, and greatly cleaned up code.
 * Fixed paddle controller when used with export consoles.
 * Added 3-button and 6-button Mega Drive control devices.
 * sega/sms.cpp: SG-1000 Mark III has pin 7 of controller ports tied low - indicate this to attached controllers (this pin became TH
    on the Master System).
 * sega/mdconsole.cpp: Replaced controller emulation in the driver with Sega controller ports.  Also removed some vestigial code
    from the driver base class.
 * sharp/x68k.cpp: Replaced controller emulation in the driver with MSX controller ports.
 * bus/msx/ctrl: Added a Sega controller adapter device, supported by X68000 software including chelnov and ssf2.

-pc98.xml: Use lowercase for descritpive text in descriptions. (#10640) [ArcadeShadow]

-tecmo/tehkanwc.cpp: Added world version of Tee'd Off (new parent). (#10651) [David Haywood]

New working clones
------------------
Tee'd Off (World) [system11]

-misc/cave.cpp: Added PLD dumps for pwrinst2 and plegends. (#10645) [Sergio G]
 * Added to pwrinst2j and plegendsj as well.

-atari/sprint8.cpp: Cleaned up input code. (#10649) [0kmg]
 * Made the gear shift levers toggle inputs.  This needs to be confirmed from a manual.

-bus/sms_ctrl/sports.cpp: Removed unused class member. [Vas Crabb]

-hash/ibm5150.xml: first pass at QA (#10635) [Angelo Salese]
 * Revisit all of the supported="partial" / "no" flags, promote or demote depending on observations.

Software list items promoted to working
---------------------------------------
ibm5150.xml: Ancient Land of Ys [Angelo Salese]

-bus/sms_ctrl: Make paddle ignore TH again - assume reports of it working on export consoles are bogus for now. [Vas Crabb]

-apple1.xml: Fixed publisher capitalisation. (#10659) [eientei95]

-misc/cave.cpp: Added a new Power Instinct 2 set. (#10658) [Sergio G]

New working clone
-----------------
Power Instinct 2 (US, Ver. 94.04.08, set 1) [Sergio Galiano, Recreativos Piscis]

-msx2_cart.xml, msx2_cass.xml, msx2_flop.xml, msx2p_flop.xml: Cleaned up metadata. (#10513) [ArcadeShadow]
 * Use unabbreviated country names, and use lowercase for descriptive text in descriptions.

-dataeast/decocass.cpp: Removed 'clown car credits' leaving only the copyright holders. (#10653) [David Haywood]

-pntnpuzl: fix display [cracyc]

-atari/starshp1.cpp: Set thrust control to slow when not pushing button. (#10667) [0kmg]

-nintendo/vsnes.cpp: Use documented recommended default DIP switch settings. (#10666) [0kmg]
 * Affects hogalley, smgolf, suprmrio, vsbball, vsgradus, vsgshoe, vssoccera and any clones.
 * Made separate DIP switch settings for vssoccer and smgolfj, as their starting point values differ from other sets.

-hp/hp80.cpp: Fixed keyboard issue on hp86b_001 & hp86b_004. (#10668) [fulivi]

-bus/isa/trident.cpp: convert to logmacro, override trident_set_video_mode in tvga9000_device, makes pntnpuzl to set a sane refresh
 rate [angelosa]

-pntnpuzl: pass timer irq status [cracyc]

-x1_012.cpp: restrict partial updates in the seta tilemap chip to caliber 50, it breaks too many other places due to unmasking some
 bad timing problems in the drivers. (#10654) [David Haywood]

New machines marked as NOT_WORKING
----------------------------------
Super 555 (English version V1.5) [hammy]

New working machines
--------------------
Gerät 32620 (Sprach/Morsegenerator) [Dirk Best, natarii, Crypto Museum]

New working software list additions
-----------------------------------
English (Polish speaker) [Crypto Museum]
German [Crypto Museum]
German (older) [Crypto Museum]
Spanish [Crypto Museum]

-dac.h: Add AD7520 DAC [Dirk Best]

-pntnpuzl: id inputs [cracyc]

-thomson.cpp: Extension bus cleanup [AJR]
 * Make CC 90-232 serial/parallel interface an extension device
 * Eliminate spurious custom Centronics interface from MO5NR (CC 90-232 is used with this model instead)
 * Make RF 57-932 serial interface an extension device
 * Make MD 90-120 modem interface an extension device (emulation still needs work)
 * Make Midipak an extension device and completely rewrite emulation
 * Make MEA8000-based speech interface an extension device
 * Configure 1 MHz E clock for extension bus
 * Add FIRQ & IRQ outputs from extension bus
 * Expand extension I/O address range from $x7D0-$x7DF to $x7C0-$x7FF
 * Clean up various bits of driver code

-video/upd3301.cpp: skip lines also skip strips, fix sorcer (pc8801) text layer not syncing drawing [angelosa]

-bus/thomson/speech.cpp: Fix sound routing [AJR]

-ympsr16.cpp: added pss780 (#10669) [Tom]

New clones marked as NOT_WORKING
--------------------------------
Yamaha PSS-780 [TwistedTom]

-apple2gs: use the macrtc device for clock and battery RAM, which has more complete functionality. [R. Belmont]

-Removed email address as per Takahiro's request [wd40yasu]
 * Removed email address as per Takahiro's request

-teammate: add port 0/1 read [hap]

-sms.xml: Added 3 prototypes. (#10671) [0kmg]

New working software list additions (sms.xml)
---------------------------------------------
King's Quest - Quest for the Crown (USA, prototype, 19890203) [Ed Semrad, smspower, VGHF]
Monopoly (USA, prototype) [Ed Semrad, smspower, VGHF]
Super Monaco GP (USA, prototype) [Ed Semrad, smspower, VGHF]

-coleco.xml: Added a couple prototypes. (#10672) [0kmg]

New working software list additions (coleco.xml)
------------------------------------------------
Frogger II: Threedeep! (prototype, 19840615) [Ed Semrad, Hidden Palace, VGHF]
Star Wars: The Arcade Game (prototype, 19840412) [Ed Semrad, Hidden Palace, VGHF]

-trs/coco12.cpp: Added Deluxe Color Computer. (#10648) [tim lindner]
 * No ROM dump is available, so CoCo 2B ROMs are loaded for now.

New clones marked not working
-----------------------------
Tandy Radio Shack Deluxe Color Computer [Tim Lindner]

-bus/coco: Minor cleanup of base cartridge class. (#10647) [tim lindner]
 * Moved a member initialization to constructor, use resolve_safe() for callbacks to remove some checks.

-source org: move h01x to misc folder [hap]

-capcom/cps1.cpp: Added SFZ63B mapper. (#10673) [Tom]
 * This PAL was found on mpumpkin, assumed to come from sfz.

-nes.xml: Added 12 dumps. (#10674) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
2 in 1 - GEMiNIM & Siamond [NESBrew12]
Crazy Land (USA, prototype) [Ed Semrad, Hidden Palace, VGHF]
Galaxy 5000 - Racing in the 51st Century (USA, prototype) [Ed Semrad, Hidden Palace, VGHF]
Hoops (USA, prototype) [Ed Semrad, Hidden Palace, VGHF]
Iron Tank - The Invasion of Normandy (USA, prototype) [Ed Semrad, Hidden Palace, VGHF]
Nighttime Bastards [anonymous]
R.B.I. Baseball 2 (USA, prototype, 19900307) [Ed Semrad, Hidden Palace, VGHF]
Rally Bike (USA, prototype, 19900226) [Ed Semrad, Hidden Palace, VGHF]
RoadBlasters (USA, prototype) [Ed Semrad, Hidden Palace, VGHF]
Shadow of the Ninja (USA, sample) [Ed Semrad, Hidden Palace, VGHF]
Silkworm (USA, prototype) [Ed Semrad, Hidden Palace, VGHF]
Sudoku 2007 [NESBrew12]

-trs/dragon.cpp, trs/dgnalpha.cpp: Got rid of weird class split between files. [Vas Crabb]

-Updated FME alphanumeric emulation (#10663) [James Wallace]
 * Added duty effects to layouts for fruit machines using ROC10937 and clones.
 * bfm/bfm_bd1.cpp: Added flash mode, corrected character table.
 * bfm/bfm_bda.cpp: Added brightness and flash controls.
 * jpm/jpmimpct.cpp: Registered variables for state saving.
 * machine/roc10937.cpp: Preserve internal data buffers on POR - fixes blanked display in JPM IMPACT.
 * Made VFD fading effect mroe realistic for JPM IMPACT games.
 * Corrected VFD type to 16-segment for JPM System 5 games.

-sega/mdioport.cpp: Added Mega Drive I/O port controller device. [Vas Crabb]
 * Adapted all Mega Drive hardware drivers to work with the new I/O port device, and moved based Mega Drive 68k peripherals to a
    common address map function.
 * sega/megadriv_acbl.cpp: Added base machine configuration to attach an optional I/O port to the EXP port, and moved some stuff to
    derived classes.
 * sega/megadriv_rad.cpp: Simplified code.
 * bus/sms_ctrl: Added an RS-232 adapter.  Only sending from the console to the attached device works so far, reception will have to
    wait.

-tiger/gamecom.cpp: Improved audio emulation (still very innacurate). (#10664) [FateForWindows]
 * Use level registers for channels 1 and 2.
 * Halved sound_cnt maximum value - was reading twice as far, causing channel 2 to play back incorrectly.

-Untangled Mega Drive bootlegs a little. [Vas Crabb]
 * sega/puckpkmn.cpp: Eliminated dependency on other Mega Drive arcade bootlegs.
 * sega/megadriv_acbl.cpp: Use more derived memory maps, and fewer driver init functions.

-k052109: change invalid logerror m_maincpu->pc to machine().describe_context() [hap]

-spectrum_cass.xml: 3 New working software list additions (#10643) [ArcadeShadow]

New working software list additions
-----------------------------------
ACE 2088 (MCM) [spectrumcomputing.co.uk]
Adidas Championship Football (Erbe) [spectrumcomputing.co.uk]
Adidas Championship Tie Break (Musical 1) [spectrumcomputing.co.uk]

Remove
------
Agent - X 2 (Dro Soft) [duplicated entry]

-metadata cleanups: Corrected parent/cloneof relationships, publishers, release years (based on the info provided by
 spectrumcomputing.co.uk) [ArcadeShadow]

-Mega Drive cleanup: [Vas Crabb]
 * mdconsole.cpp: Got rid of EXP port from Mega Drive II, Mega Jet and Nomad configurations, and made built-in Nomad controller
    fixed.
 * puckpkmn.cpp: Cleaned up code, register local class member for save states, suppress side effects for debugger.

New working clones
------------------
MK-14 VDU [Nigel Barnes]

New working software list additions
-----------------------------------
mk14_quik: Falling Man, Invaders, Pong [Nigel Barnes]

-bus/bbc/rom: Added support for the Acornsoft Trilogy Emulator board. [Nigel Barnes]

-mt65: Slotified the keyboard port, devicified Microtan Keypad (MT006), Microtan Keyboard (MT009), and ETI Space Invasion Key Unit.
 [Nigel Barnes]
 * Added cards ETI Real Time Clock, ETI Sound Card, Microtanic Real Time Clock, TUG Combo Card, and TUG EPROM Storage Card.
   - mt6809: Fixed keyboard input, RALBUG commands now work, and promoted to working.
 * Added support for FLEX and BBC Micro floppy formats.
   - spinveti: Replaced incorrect ROM to load at &F800.

-vendetta: change irq to assert/clear (matches schematics) [hap]

-m6809/konami: hd6309_native_mode does not apply [hap]

-vendetta: change set_vblank_int to screen_vblank [hap]

-email removal part2 [wd40yasu]
 * Remove email address of Takahiro from non-Nichibutsu drivers

-bus/archimedes/podule: Added SCSI Interface podules (not working). [Nigel Barnes]
 * Acorn A500 SCSI Interface
 * Acorn AKA31 SCSI Expansion Card
 * Acorn AKA32 CDFS & SCSI Expansion Card
 * Cumana 16bit SCSI Interface
 * Lingenuity SCSI Podule
 * Morley Electronics 16bit Cached SCSI card
 * Oak Solutions 16 bit SCSI Interface

-vendetta: change 'not really vblank' flag to obj dma busy [hap]

-m6809/konami: cpu has internal /4 divider [hap]

New machines marked as NOT_WORKING
----------------------------------
Triton L4.1 [Ian Lockhart, Nigel Barnes]
Triton L5.1 [Ian Lockhart, Nigel Barnes]
Triton L5.2 [Ian Lockhart, Nigel Barnes]
Triton L7.2 [Ian Lockhart, Nigel Barnes]

New working software list additions
-----------------------------------
triton_rom: Fast VDU [Ian Lockhart]

New working software list additions
-----------------------------------
aquarius_cass: Doomsday Defender [Roy Templeman]

New working software list additions
-----------------------------------
bbc_rom: FBBS 3.0, Palesar RAM Manager 1.04, Meta Assembler 3.45A, MMFS 1.52, MMFS Turbo 1.52, Kevin's Rip-off ROM 1.00, Ripper V1,
  Ripper V1 (Disk Menu), Ripper V1 (13 Commands), Sci 1.34, Speech Synthesis 0.01, SSMP 2.00, ViewFiler 0.2, View Trilogy, VT Clock
  1.16 [Nigel Barnes]

New machines marked as NOT_WORKING
----------------------------------
MiniB Computer [Nigel Barnes, Sprow]

-mdcr: Moved philips/p2000t_mdcr.cpp->machine/mdcr.cpp to allow use with other machines. [Nigel Barnes]

-mtx_cfx: Replace HDD with Compact Flash device. [Nigel Barnes]

New working software list additions
-----------------------------------
bbcm_cart: Master SD R2 [Ramptop]

-bus/archimedes/podules: Added Ethernet podules (not working) [Nigel Barnes]
 * Acorn AEH50 Ethernet II
 * Acorn AEH54 10Base2 Ethernet Podule
 * ANT Ethernet 10base2 mini-podule

-bus/sms_ctrl: Added raphnet DIY SMS/Mark III paddle. [Vas Crabb]

-cpu/avr8: Added minimal ADC support (in particular, ADC interrupts are not implemented). [Vas Crabb]

-sega/megadriv.cpp: Further broke up base Mega Drive class. [Vas Crabb]
 * Created a light-weight base class with just the core functionality, used for "Genie" hardware (Puckman Pockimon).
 * Moved built-in controller emulation to a derived class so it isn't lurking underneath the consoles with pluggable controllers.
 * Moved the Sun Mixing Mega Drive bootlegs to their own source file - they're substantially different, not using the I/O blocks for
    input.

-sega/sms.cpp: Untangled SG-1000 Mark III slightly. [Vas Crabb]

-More Mega Drive cleanup: [Vas Crabb]
 * Moved YM sound out of "core" Mega Drive state, and made more devices required in "base" Mega Drive state.
 * Made Pico/Copera derive from "core" Mega Drive state so they aren't carrying unnecessary baggage (all it uses is the CPU and
    VDP).
 * Corrected title for puckpkmna.

-cpu/avr8: Mask ADC samples to ten bits on acquisition. [Vas Crabb]

-sega/puckpkmn.cpp: Note actual silkscreens on sound chips. [Vas Crabb]

-ygv608: clean up some indentation [hap]

-tmnt: remove useless define [hap]

-bus/thomson/cd90_015.cpp: Correct floppy drive type and name [AJR]

-mc6843: Clear STRB at command start [AJR]

-mc6843: Clear STRB bits when read (mostly reverts 05803c61309319e5a6dd86d074620a3b324be7ec) [AJR]

-m6809/konami: enable 'hd6309 native mode' [hap]

-bus/thomson/cd90_015: Further customization of floppy drive [AJR]

-m6809/konami: match indexed opcode timing with hd6309 [hap]

-m6809/konami: update prev commit [hap]

-Fixed MESS and Arcade builds (#10680) [MASH]
 * Fixed MESS build
 * Fixed Arcade build

-video/ppu2c0x.cpp: Improved behavior of OAM writes during PPU rendering. (#10678) [0kmg]
 * Noticeably improves high hopes demo.

-m6809/konami: fix carry flag on LSRD, ASRD [hap]

-nintendo/cham24.cpp: Added save state support and cleaned up code. (#10670) [0kmg]
 * Also cleaned up sprite RAM DMA trigger trampolines in all NES-like drivers.

-triton_rom.xml: Corrected fastvdu rom size. [Nigel Barnes]

-tehkanwc: remove old joystick hack [hap]

-tehkan: add shared addressmap, remove soundcpu reset timer hack [hap]

-tehkanwc: remove unneeded trampoline for writing leds [hap]

-tehkanwc: merge driver files [hap]

-tehkanwc: reset msm together with soundcpu [hap]

-to_flop.xml: Fix floppy image interfaces (assuming that all larger images are 3.5" for now) [AJR]

-nec/pc88va.cpp: overhaul, make most software to start running with pc88va2 (#10656) [Angelo Salese]
 * nec/v5x.cpp: add ICU slave ack readback;

-sega/sms.cpp: Refactored Game Gear handling. (#10682) [Vas Crabb]
 * Use a memory view to switching between Game Gear and Master System compatibility I/O space mapping.  Got rid of most of the
    conditional code checking whether it's a Game Gear driver.
 * Got rid of the special Game Gear EXT port slot.  It's the same thing as a Mega Drive controller/expansion I/O port with a
    different connector.
 * sega/mdioport.cpp: Added a variant for the Game Gear with the TH/PC6 interrupt latch, and added it to the Game Gear.

-tehkanwc: remove tag lookups [hap]

-More Sega cleanup: [Vas Crabb]
 * bus/megadrive/jcart.cpp: Turned controller ports into slots - no need to simulate controllers in the cartridge device.
 * sega/megadriv.cpp: Simplified wired 6-button controller to use a single input port per pad.
 * megadriv_rad.cpp: Changed to use A/B/C/X/Y/Z button labels like the real systems, added reset buttons to a couple of units that
    have them.
 * puckpkmn.cpp: Considering boards without the U6612 exist, assume it uses a Mega Drive II VDP clone with integrated FM sound.

-bus/sms_ctrl: More plausible TH responses for export Sports Pad. [Vas Crabb]

-bus/a7800/rom.cpp: Use proper bank order for Activision 128K cartridges. (#10686) [0kmg]

-tvgames/xavix.cpp: Added Gun Gun Adventure (inputs not hooked up). (#10683) [David Haywood]

New machines marked not working
-------------------------------
Gun Gun Adventure (Japan) [Sean Riddle]

-namco/mappy.cpp: Undid DIP switch setting reordering from PR #10166. (#10665) [eientei95]

-konami/crimfght.cpp: fix lives default dip [Angelo Salese]

-bus/megadrive/jcart.cpp: Fixed include guard typo. (#10687) [0kmg]

-msx1_cart.xml, msx1_cass.xml, msx1_flop.xml: Cleaned up metadata. (#10509) [ArcadeShadow]
 * Use full country names in description.
 * Use lowercase for descriptive text in descriptions.
 * Removed zero offsets in regions with a single file loaded.

-m6809/konami: fix looped shift opcodes indexed mode [hap]

-cpc_flop.xml: Fix up a few things from poorly imported "good" sets. [Vas Crabb]
 * Also some other minor cleanup.

-imgtool/stream: Remove some unused functions [AJR]

-msx1_cass.xml:  Fix leading space in rom name label for dogfights [Scott Stone]

-m6809/konami: don't use m_opcode as a temp variable [hap]

-m6809/konami: no need for those safe_shift functions [hap]

-vsmileb_cart.xml: Add info about missing game (#10689) [ClawGrip]

-epos: add tristar8000 coin latch [hap]

-mo5_flop.xml, mo6_flop.xml, pro128_flop.xml: Correct floppy image interfaces [AJR]
 * thom_dsk.cpp: Add DSDD 5.25-inch format

-bus/sms_ctrl: Added support for Sega mouse and four-player adaptor. [Vas Crabb]

-ay8910: add machine().describe_context() to some logerror [hap]

-palm/palm.cpp: Improved Palm IIIc support. (#10684) [Ryan Holtz]
 * machine/mc68328.cpp: Split MC68328 device into a base class with shared functionality, and derived MC68328 and MC68EZ328 models.
 * video/sed1375.cpp: Added roughly-functional implementation of the Epson SED1375 LCD controller.

Machines promoted to working
----------------------------
3Com Palm IIIc [Ryan Holtz]

-tmnt: improve sound nmi [hap]

-osd/windows/window.cpp: Fixed a crash when toggling fullscreen. [Ryan Holtz] (#10692) [MooglyGuy]
 * osd/windows/window.cpp: Check for a non-null renderer before issuing a draw request to the renderer. [Ryan Holtz]

-bus/sms_ctrl: Better 4-player adaptor and mouse emulation: [Vas Crabb]
 * Latch and reset mouse axis counts on first falling TR edge while selected.
 * Added mouse support to 4-player adaptor.
 * Fixed a bug when reading control pad buttons with 4-player adaptor.

-nintendo/playch10.cpp: Added separate gun trigger input. (#10691) [0kmg]
 * Also fixed incorrect Zapper-like trigger behavior and made gun alarm wire machine configurable.

-macrtc.cpp: Updates [R. Belmont]
 * Cleaned up, modernized, converted logging to logmacro.h
 * Improved documentation comments
 * Supports both the original 343-0040 (Mac 128/512) and the 343-0042-B (Mac II, Apple IIgs) with unique behavior

-osd/modules/file: Don't magically substitute environment variables when opening files. (#9859) [npwoods]
 * util/options.cpp: Added option types for single and multiple paths.
 * util/options.cpp: Substitute environment variables in values from defaults and INI files.
 * ui/dirmenu.cpp: Removed hard-coded list of multi-path options.
 * plugins: Don't substitute environment variables in path options.

-vendetta: correct some input ports [hap]

-bus/msx/ctrl: Added Konami Hyper Shot controller. [Vas Crabb]

-bus/sms_ctrl: Added Konami Hyper Shot for Sega, too. [Vas Crabb]

-upd765: clear wc if the found sector has the correct cyl in the address field [cracyc]

-macrtc.cpp: if the time is set by the host system, count from that time for the rest of the session. [R. Belmont]
 * This means changing the time in the emulated system now will actually take effect. Restarting MAME will return to real time.
 * The "Clock RAM" test in the Apple IIgs Diagnostics now passes.

-macrtc.cpp: return seconds update logging to LOG_GENERAL. [R. Belmont]

New machines marked as NOT_WORKING
----------------------------------
The Castle [caius]

New clones marked as NOT_WORKING
--------------------------------
The Rock [caius]

-ibm5170_cdrom.xml: 16 new software list additions (#10419) [ArcadeShadow]
 * ibm5170_cdrom.xml: 16 new software list additions

New working software list additions
-----------------------------------
5 Plus One: Pack 10 - The Blues Brothers [redump.org]
5 Plus One: Pack 25 - TV Sports Football [redump.org]
Delphine Classic Collection - Adventure [redump.org]
Hocus Pocus (Europe) [redump.org]
Hocus Pocus (Germany) [redump.org]
Hocus Pocus (Germany, shareware) [redump.org]
Hocus Pocus (Spain) [redump.org]
Hocus Pocus (USA) [redump.org]
Hocus Pocus (USA, rerelease) [redump.org]
Hocus Pocus (USA, rerelease, alt) [redump.org]
Hocus Pocus (USA, mail order release) [redump.org]
id Anthology (rev 1) [redump.org]
id Anthology [redump.org]
The Bitmap Brothers Compilation [redump.org]
Zool: Ninja of the "Nth" Dimension [redump.org]
Zool 2 [redump.org]

-tceptor: correct cpu type [hap]

-sega/sg1000.cpp: Slotified controller ports. [Vas Crabb]
 * Replaced built-in controllers with Sega controller ports for SC-3000 and SG-1000.
 * Fixed inappropriate default assignment of SG-1000 pause button to P key, conflicting with the default emulator pause assignment.
 * Got rid of half a player 2 D-pad that was somehow polluting the Othello Multivision FG-2000.
 * Hooked up SF-7000 Centronics busy line to previously unused function.

-se3208: Add exception hook callback [AJR]

-ginganin: reduce 6840 clock [hap]

-sega/sg1000.cpp: SG-1000 only has one control port; prevent Othello Multivisions from segfaulting. (#10694) [0kmg]

-bus/sms_ctrl: Added support for Denpa XE-1AP controller. [Vas Crabb]
 * This is the "horsehoe crab" game pad version of the Denpa Micom Soft Analog/Digital Intelligent Controller System (the other
    version is the desktop "cyber stick").
 * Mega Drive games only support this controller in analog mode (the default).  Digital mode is designed to be used for games on
    computers with MSX-style controller ports that don't support analog controls.

-bus/sms_ctrl: A few refinements for the XE-1AP controller: [Vas Crabb]
 * Game pad version omits the fourth axis from the cyber stick.
 * Remumbered analog input ports to match documented channel names.
 * Improved notes.

-Update snes_slot.cpp (#10695) [Tom]
 * fix fast/slow rom reporting

-More Micom Soft controller wrangling: [Vas Crabb]
 * bus/msx/ctrl: Added XE-1AP pad with defaults for personal computers.
 * bus/pce_ctrl: Added XHE-3 PC joystick adapter.

-m6809/konami: add IMM_IM from hd6309 [hap]

-m6809: srcclean *.ops files [hap]

-util/options.cpp: Fixed overriden default option values from OSD. [Vas Crabb]

-machine/micomx1a.cpp: Confirmed Digital MD mode emulates a 3-button Sega pad. [Vas Crabb]

-machine/micomx1a.cpp: Slightly better timings. [Vas Crabb]

-m6809: rename *.ops to *.lst [hap]

-Software list-provided default option fixes [AJR]
 * Give "slot_default" option values default priority rather than maximum priority, so command line option specifications can
    override these
 * Silently ignore software list-provided default options or values that don't exist in a particular system configuration

-emuopts.cpp: Correction for 42adf5d51de36560547449c6c279a8df9df7dcfe [AJR]

-machine/micomxe1a.cpp: Fudged timings to work with buggy CRI games. [Vas Crabb]
 * CSK Research Institute games on FM Towns don't follow the same sequence as other games when reading inputs.  They depend on the
    data lines not being updated for some time after /Ack goes high, and can miss transitions if the timing is too tight (ironic
    that 16MHz '386 software has these issues when the 7MHz 6502 in the PC Engine gets by fine). This fudges the timings to work
    with the these buggy games without breaking the other use cases.
 * Also for some reason, these games expect an XE-1AP in MD mode with a Sega controller adapter - they won't work wth an XE-1AP in
    Personal Computer mode, and they won't work with the XE-1AJ or its NEC-branded relative.  In MAME you can flip the Interface
    setting to MD in the Machine Configuration options without needing to use an adapter device.

-machine/micomxe1a.cpp: Fixed a dumb editing error with delays. [Vas Crabb]

-globalfr: Back out fading effect, hardware doesn't support it (nw) [James Wallace]

-buckrog: correct sprite priority 74148 [hap]

-nec/pc8801.cpp: promote machines to working status (#10685) [Angelo Salese]
 * video/upd3301.cpp: fix off by one attribute bugs happening for pc8801 N-88 Basic and several other entries;
 * nec/pc8801.cpp: backported centronics hookup from pc8001, allows supporting Jast Sound thru Covox interface in some Jast entries;
 * nec/pc8801.cpp: fix 1bpp graphic layer drawing when uPD3301 is not in color mode, fixes byoin regression;

Machines promoted to working
----------------------------
nec/pc8801.cpp: PC-8801mkIISR, PC-8801MH, PC-8801MA [Angelo Salese, Oliver Galibert, Carl]

Clones promoted to working
--------------------------
nec/pc8801.cpp: PC-8801mkIIFR, PC-8801mkIIMR, PC-8801FA, PC-8801MA2 [Angelo Salese, Oliver Galibert, Carl]

New working software list additions
-----------------------------------
pc8801_flop.xml: D' (cracked) [Neo Kobe], Donkey Kong 3 - Dai Gyakushuu [Game Preservation Society, Carl, Disk Blitz]

New NOT_WORKING software list additions
---------------------------------------
pc8801_flop.xml: D' (alt) [Neo Kobe]

New clones marked as NOT_WORKING
--------------------------------
White Water (P-6) [Matt’s Basement Arcade, PinMAME]

-sega/turbo.cpp: Added missing pedal inputs. (#10704) [0kmg]
 * turbo: Added pedal. Made shifter start in low gear by default.
 * buckrog: Added configuration to select (upright) button machine or (cockpit) pedal machine. Corrected cabinet type DIP switch.

-turbo: no need for port_0_r [hap]

-yamaha/ymdx9.cpp: Resolved issues with incoming MIDI. (#10702) [Anthony]
 * Added divider on 500 kHz midi serial clock.
 * Added missing MIDI data read handler.

-skeleton: Renamed Vector 4 to Vector 3. (#10697) [Eric Anderson]
 * It appears Vector Graphic Monitor 4 was confused with Vector 4.
 * Fixed some of the easier Vector 4-isms, but it will need more thorough work.

-sega/turbo.cpp: Clarified turbo lives DIP switch setting name. (#10707) [0kmg]

-device_state_entry::format: fix wrong value when used with callexport [hap]

-ibm5170_cdrom.xml: Fixed misspelled game title. (#10699) [ArcadeShadow]
 * Corrected "Peristroka" to "Perestroika".

-capcom/gunsmoke.cpp: Dumped and added a new North American Gun.Smoke set. (#10690) [ClawGrip]
 * Also fixed years and names on other sets

New working clones
------------------
Gun.Smoke (USA and Canada, 1986/01/20) [Victor Fernandez (City Game), Jordi Beltrán]

-parodius,gokuparo: add sub-title to game string [hap]

-sega/model3.cpp: Added drive board ROMs from Scud Race to Dirt Devils (uses the same PCB). (#10677) [Museo del Recreativo]

-gunsmoke: make game string build date more readable [hap]

-bus/msx: Fixed mislabeled button on FM Towns 6-button Pad. [Vas Crabb]

-More Micom XE-1AP adjustments: [Vas Crabb]
 * Reversed default throttle direction.  On the desktop version, pulling the throttle towards you accelerates.
 * Fixed a bad bitfield extraction that stopped right shoulder buttons working in Thunder Blade for PC Engine.

-bus/msx/ctrl, bus/sms_ctrl: Use AD Stick Z type for XE-1AP throttle. [Vas Crabb]

-Clear BIOS option setting when reloading empty pseudo-driver to prevent spurious ROM loading errors for this and other drivers
 [AJR]

-emuopts.cpp: Work around reevaluate_default_card_software trying to purge XXX_default values; reword some comments [AJR]

-nes.xml: Configure useful slot defaults for software items using Famicom Keyboard, Family Trainer or R.O.B. [AJR]

-upd934g: use device_rom_interface instead of a read callback (#10700) [Devin Acker]

-ibm5150.xml: 11 New working software list additions (#10698) [ArcadeShadow]
 * ibm5150.xml: 11 New working software list additions

New working software list additions
-----------------------------------
Arcade Hits [The Good Old Days]
Bombuzal [The Good Old Days]
Mega Man (3.5") [The Good Old Days]
Pole Position [The Good Old Days]
Street Fighting Man (alt) [The Good Old Days]
Teenage Mutant Hero Turtles (5.25") [old-games.ru]
Teenage Mutant Hero Turtles (Spain, 3.5") [Abandon Socios]
Teenage Mutant Hero Turtles (Spain, 5.25") [Abandon Socios]
Zeliard (3.5") [The Good Old Days]
Zeliard (3.5", v2.0) [old-games.ru]
Zeliard (5.25") [The Good Old Days]

-macadb.cpp: add reset (IIgs) / power/NMI (Mac) key, and swap Command/Option keys to match Apple II layout.  [R. Belmont]
 * apple2gs.cpp: Building with the ADB MCU actually running instead of the HLE now works 100%.  [R. Belmont, Peter Ferrie] This is
    not yet the default config to rate-limit MAME to one major IIgs change per release. To try it out early, change RUN_ADB_MICRO
    and ADB_HLE to (1) and rebuild.

-apple2gs.cpp: revert testing change that slipped into the previous commmit. [R. Belmont]

-apple/apple2gs.cpp: fixed compile [Ivan Vangelista]

-kiwako/mrjong.cpp: Fixed horizontal sprite offset when screen is flipped. (#10705) [Pierre Cornier]

-ui: Rationalised right panel behaviour: [Vas Crabb]
 * Removed the "default" state for the image tab where it would show different things for different types of machine - it just
    confused users.
 * Remember the selected tab and image in the right panel.  State for system selection menu is remembered across sessions.  Last
    used state for software selection menus is remembered across sessions.  Within a session, state is remembered separately for
    recently selected machines, similarly to the way filter selection is remembered.
 * Fixed some focus order issues in the software selection menu.

-capcom/cps1.cpp: Added 3-player Final Fight hack. [Vas Crabb]

New working clones
------------------
Final Fight 30th Anniversary Edition (World, hack) [Gregory Lewandowski]

-capcom/cps1.cpp: Added proper B board GAL fusemap to run ffightae hack on hardware. [Vas Crabb]

-subroc3d: add 3d scope shutter output [hap]

-vtech/vsmile.cpp: Added machine configuration switches. (#10660) [KanedaFr]
 * Added controls for three bits of I/O port B.
 * Confirmed language setting values.
 * Added notes, including how to access BIOS test mode.

-subroc3d: swap left/right [hap]

-sega/turbo_v.cpp: another minor code simplification (#10712) [0kmg]

-turbo: increase steering sensitivity [hap]

-bus/pce_ctrl: Added PC Engine Mouse support. [Vas Crabb]

-subroc3d: add internal artwork 3d scope views [hap]

-Software list update: [Vas Crabb]
 * megadriv.xml, pce.xml, pcecd.xml, x68k_flop.xml: Added cotroller support usage notes for a few games.
 * pcecd.xml: Noted the required CD-ROM system cards in usage notes, fixed capitalisation and removed unnecessary markup in
    descriptions.
 * megadriv.xml: Added compatibility tag for gforce2a (broken graphics on PAL consoles).

-sound/nes_apu.cpp: Implemented frame counter interrupt . (#10715) [0kmg]
 * Fixes MT06186, MT07625 and MT07658.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Akagawa Jirou no Yuurei Ressha (Japan) [kmg]
Castelian (Europe) [kmg]
Door Door (Japan) [kmg]
Door Door (FMG pirate) [kmg]
Dragon Quest (Japan) [kmg]
Dragon Quest II - Akuryou no Kamigami (Japan) [kmg]
GeGeGe no Kitarou - Youkai Daimakyou (Japan) [kmg]
GeGeGe no Kitarou - Youkai Daimakyou (Japan, prototype) [kmg]
GeGeGe no Kitarou - Youkai Daimakyou (FMG pirate) [kmg]
The Guardian Legend (Europe) [kmg]
The Guardian Legend (USA) [kmg]
Guardic Gaiden (Japan) [kmg]
Jesus - Kyoufu no Bio Monster (Japan) [kmg]
Mahjong Taikai (Japan) [kmg]
Ninja Jajamaru - Ginga Daisakusen (Japan) [kmg]
Ninja Jajamaru - Ginga Daisakusen (Japan, prototype) [kmg]
Ninja Kid (USA) [kmg]
Mendel Palace (USA) [kmg]
The Mutant Virus (USA) [kmg]
Qix (USA) [kmg]
Quinty (Japan) [kmg]
Portopia Renzoku Satsujin Jiken (Japan) [kmg]
Squashed (USA, prototype) [kmg]
WWF WrestleMania (Europe) [kmg]
WWF WrestleMania (USA) [kmg]

-romp: various improvements [Patrick Mackinlay]
 * record branch with execute address for exception caused by branch subject
 * optionally defer interrupt recognition after lps
 * halt lm/stm on exception
 * implement condition codes for abs
 * tighten up system control register reserved bits

-util/options.cpp: Fixed issue when copying options that don't carry values. [Vas Crabb]

-sega/sg1000.cpp: Converted Othello Multivision FG-2000 second controller to 9-pin port, and restructured code for fewer optional
 object finders. [Vas Crabb]

-nes_apu: remove wrongly placed dpcm irq clear [hap]

-More MC68EZ328 work for palmm100 and iqunlim (#10696) [Ryan Holtz]
 * palm/palm.cpp: Promoted palmm100 to working.  Split Palm LCD into a separate device.
 * machine/mc68328.cpp: Improved LCD controller emulation.  Fixed reported Coverity issues
 * vidoe/mc68328lcd.cpp: Added a generic device to handle MC68328-style LCD output signals.
 * vtech/iqunlim.cpp: Hooked up MC68EZ328 device.

Clones promoted to working
--------------------------
3Com Palm m100 [Ryan Holtz]

-jpm/jmpsys5cpp: Start working on inputs inputs, and added reel interface. (#10709) [James Wallace]

-docs: Added preliminary guide for would-be contributors. (#10717) [Ryan Holtz, Vas Crabb, O. Galibert]

-nintendo/dkong.cpp: more notes about dkong3 sound. (#10716) [0kmg]

-dataeast/decocass.cpp: Cleaned up BIOS macros, fixed bit error in cnebula tape image and added bootlegs. (#10681) [David Haywood]
 * Reworked BIOS macros - added missing 'older' types, sorted new to old
 * Added support for a different aftermarket multi-game kit.

New working machines
--------------------
DECO Cassette System ROM Multigame (Darksoft, v17) [David Haywood]

New working clones
------------------
DECO Cassette System ROM Multigame (Darksoft, v16) [David Haywood]
DECO Cassette System ROM Multigame (Darksoft, v15) [David Haywood]

-docs: Fixed editing errors in C++ coding guidelines. [Vas Crabb]

-decocrpt: undo lopsided tables (older version of srcclean) [hap]

-splndrbt: get rid of tag lookup in screen update [hap]

-meijinsn: add voice dac [hap]

-nes.xml: Added five builds of an unreleased prototype. (#10718) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Mick & Mack as the Global Gladiators (prototype, 19930709) [ICEknight, steem69]
Mick & Mack as the Global Gladiators (prototype, 19930630) [ICEknight, steem69]
Mick & Mack as the Global Gladiators (prototype, 19930616) [ICEknight, steem69]
Mick & Mack as the Global Gladiators (prototype, 19930528) [ICEknight, steem69]
Mick & Mack as the Global Gladiators (prototype, 19930528, alt) [ICEknight, steem69]

-C++ guidelins update and cleanup: [Vas Crabb]
 * docs: Expanded C++ guidelines following suggestions by P. Mackinlay.
 * ui/inifile.cpp: Got rid of the check for "arcade" systems - it broke managing favourites for the slotted Neo Geo.
 * luaengine.cpp: Removed the "type" property from system driver metadata. It's effectively deprecated.
 * bus/vme/vme_fcisio.cpp, commodore/mps1230.cpp: Fixed inappropriate use of machine type flag constants.
 * megadriv.xml: Made notes about the two Galaxy Force 2 sets more explcit.

-namcos1: yokai->youkai [hap]

-othello: remove a tag lookup [hap]

-tceptor2: let's default to 2d mode [hap]

-equites: merge driver files [hap]

-equites: disconnect splndrbt_state from equites_state [hap]

-equites: remove function name prefixes [hap]

-housekeeping: Use proper SPDX ID for CC0 license. [Vas Crabb]

-equites: move splendor blast to its own driver [hap]

-nec: Converted PC-6001, PC-8801 and PC88VA controller ports to slots. [Vas Crabb]
 * nec/pc6001.cpp: Converted joystick ports to slots.
 * nec/pc8801.cpp, nec/pc88va.cpp: Converted mouse port to a slot.  Mouse works beautifully in Ishido now, no jumpy movement.

-gomoku: remove unused input ports [hap]

-sharp/x68k_v.cpp: Cleaned up screen_update: (#10719) [grantek]
 * Removed initial PCG bitmap fills these are always fully filled by later code.
 * Use default PCG palette colour directly instead of pre-filling PCG bitmap.
 * Combined per-pixel branches of logic based on "blend gfx with PCG/Text layers".

-Revert "sharp/x68k_v.cpp: Cleaned up screen_update: (#10719)" (#10725) [Vas Crabb]
 * This reverts commit 023fed7901f120b68882128ffe4a06f315ae111b.
 * Backgrounds are completely broken in Super Hang-On.

-nec/pc6001.cpp: Fix joystick multiplexing; add port outputs and HSYNC and VSYNC readback [AJR]

-subroc3d: put score panel view in a collection [hap]

-turbo: add the gear shift to internal artwork [hap]

-mz800: Separate from mz700 state class; use MSX-style joystick ports [AJR]

-nec/pc88va.cpp: run irq7 thru the same 0 -> 1 logic as the other irqs, makes system to be more stable during SW intros [angelosa]

-subroc3d: add viewfinder to internal artwork [hap]

-mz2500: Correct PIT clocking; use MSX-style port for joysticks [AJR]

-mz2500: Correct FDC type; add various XTAL clock sources [AJR]

-hash/pc88va.xml: QA updates [angelosa]

-nec/pc8801.cpp, nec/pc88va.cpp: default DE-9 with joystick since way more common [angelosa]

-nec/pc6001.cpp: Correct YM2203 clock [AJR]

-pic8259: Treat slave IRQs as level-triggered even when LTIM = 0 [AJR]

-nec/pc8401a.cpp: update notes [angelosa]

-rtpc: fix mmu invalid i/o access handling [Patrick Mackinlay]

-aristocrat/aristmk6.cpp: convert video to RGB565, misc notes [angelosa]

-turbo,buckrog: improve internal artwork score panel [hap]

-imagedev: Allow command-line creation for tapes/memory cards/printouts. [Vas Crabb]
 * Also made image devices not request read access when creating files for write-only devices.

-msx1_flop.xml: Improved metadata and removed disk conversions: (#10731) [wilbertpol]
 * Marked double-sided images for single-sided releases as bad dumps.
 * Added notes and serial numbers.
 * Added ‘disk conversion’ to the descriptions of disk conversions.
 * Removed disk conversions for software present in original form in other software lists.
 * Removed non-working images made single-sided by cutting a double-sided dump in half: msxdosb, burgkilla, spacewlk, ballblaza,
    diamine2a, mj05, phstripa, raththaa, safarixa.
 * Renamed spacewlka to spacewlk, mj05a to mj05, and pm1_asia to pm2_asia.
 * Marked Spectravideo SVI-738 fully supported.

-subroc3d: improve internal artwork score panel [hap]

-emu/diimage.cpp: Fixed dumb regression in open plan (stray else). [Vas Crabb]

-machine/micomxe1a.cpp: Added notes about how software reads inputs. [Vas Crabb]

-tvgogo.xml: Countries and zone full name (#10732) [ArcadeShadow]
 * Replaced US and EU abbreviations by their full names

-midway/omegrace.cpp: Replaced input lookup table with encoder function. (#10728) [0kmg]

-einstein.xml: Metadata cleaning (#10734) [ArcadeShadow]
 * Lowercase on descriptive words like "Alt" or "Cracked"

-x68k_flop.xml: Added an alternate version of SX-Window 3.1. (#10733) [Brice Onken]

New working software list items
-------------------------------
SX-Window v3.1 (alt 2) [Brice Onken]

-spectrum_cart.xml: Use lowercase for descriptive text in descriptions. (#10735) [ArcadeShadow]

New working machines
--------------------
Micro-Professor I/88 [Nigel Barnes]

New working software list additions
-----------------------------------
mpf1_rom: FORTH-I/88, VIP-I/88 [Nigel Barnes]

-misc/gamtor.cpp: offset bit 1 in VGA memory bankswitches to char RAM, make it to display initial POST messages [angelosa]

-video/pc_vga.cpp: identify gamtor SVGA chip [angelosa]

-macpwrbk030.cpp: fixed CPU/MCU comms and improved video. [R. Belmont]

-vtech_storio_cart.xml: Use lowercase for things that aren't proper nouns in list description. (#10737) [ArcadeShadow]

-cdi.xml: Don't abbreviate "Europe" in descriptions. (#10736) [ArcadeShadow]

-hp/hp9825.cpp: Added support for HP 9825A and HP 9831. (#10595) [fulivi]
 * bus/hp9845_io: Added HP9871 printer.

New working machines
--------------------
Hewlett-Packard HP 9825A [fulivi]
Hewlett-Packard HP 9831A [fulivi]

New working software list items
-------------------------------
hp9825_rom: 9862 Plotter/Gen I/O ROM for 9825 [fulivi]
hp9825_rom: General/extended I/O ROM for 9825 [fulivi]
hp9825_rom: General/extended I/O/9862 plotter ROM for 9825 [fulivi]
hp9825_rom: General/extended I/O/plotter ROM for 9825 [fulivi]
hp9825_rom: Plotter/Gen I/O ROM for 9825 [fulivi]
hp9825_rom: String/Advanced programming ROM for 9825 [fulivi]
hp9831_rom: Mass storage ROM for 9831 [fulivi]

New not working software list items
-----------------------------------
hp9831_rom: Matrix/plotter ROM for 9831 [fulivi]

new NOT_WORKING machines
------------------------
Heat Up Hockey Image (Ver.1.003R) [Darksoft, MetalliC]
Yataimura Shateki (1-player, Japan, Ver 1.000) [Darksoft, MetalliC, rtw]

-digiblast_cart.xml: Use lowercase for things that aren't proper nouns in list description. (#10739) [ArcadeShadow]

-adc0808: one logerror was missing \n [hap]

-srcclean in preparation for 0.251 branch [Vas Crabb]
